<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/html/src/Entity</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../_css/style.css" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/var/www/html/src</a></li>
         <li class="breadcrumb-item"><a href="index.html">Entity</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="User.php.html#18">App\Entity\User</a></td><td class="text-right">66%</td></tr>
       <tr><td><a href="Task.php.html#13">App\Entity\Task</a></td><td class="text-right">84%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="User.php.html#18">App\Entity\User</a></td><td class="text-right">60</td></tr>
       <tr><td><a href="Task.php.html#13">App\Entity\Task</a></td><td class="text-right">22</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Task.php.html#60"><abbr title="App\Entity\Task::getCreatedAt">getCreatedAt</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Task.php.html#65"><abbr title="App\Entity\Task::setCreatedAt">setCreatedAt</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#134"><abbr title="App\Entity\User::eraseCredentials">eraseCredentials</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#146"><abbr title="App\Entity\User::getTasks">getTasks</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#151"><abbr title="App\Entity\User::addTask">addTask</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User.php.html#161"><abbr title="App\Entity\User::removeTask">removeTask</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="User.php.html#161"><abbr title="App\Entity\User::removeTask">removeTask</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Task.php.html#60"><abbr title="App\Entity\Task::getCreatedAt">getCreatedAt</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Task.php.html#65"><abbr title="App\Entity\Task::setCreatedAt">setCreatedAt</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User.php.html#151"><abbr title="App\Entity\User::addTask">addTask</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 7.0.15</a> using <a href="https://secure.php.net/" target="_top">PHP 7.4.10</a> with <a href="https://xdebug.org/">Xdebug 3.0.4</a> and <a href="https://phpunit.de/">PHPUnit 8.5.20</a> at Fri Sep 17 15:28:50 CEST 2021.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js" type="text/javascript"></script>
  <script src="../_js/d3.min.js" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([0,0,0,0,0,0,0,1,0,1,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([6,0,0,0,0,0,0,0,0,0,0,23], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[84.21052631578947,21,"<a href=\"Task.php.html#13\">App\\Entity\\Task<\/a>"],[66.66666666666666,29,"<a href=\"User.php.html#18\">App\\Entity\\User<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"Task.php.html#49\">App\\Entity\\Task::__construct<\/a>"],[100,2,"<a href=\"Task.php.html#55\">App\\Entity\\Task::getId<\/a>"],[0,2,"<a href=\"Task.php.html#60\">App\\Entity\\Task::getCreatedAt<\/a>"],[0,2,"<a href=\"Task.php.html#65\">App\\Entity\\Task::setCreatedAt<\/a>"],[100,2,"<a href=\"Task.php.html#71\">App\\Entity\\Task::getTitle<\/a>"],[100,2,"<a href=\"Task.php.html#76\">App\\Entity\\Task::setTitle<\/a>"],[100,2,"<a href=\"Task.php.html#82\">App\\Entity\\Task::getContent<\/a>"],[100,2,"<a href=\"Task.php.html#87\">App\\Entity\\Task::setContent<\/a>"],[100,1,"<a href=\"Task.php.html#93\">App\\Entity\\Task::isDone<\/a>"],[100,1,"<a href=\"Task.php.html#98\">App\\Entity\\Task::toggle<\/a>"],[100,2,"<a href=\"Task.php.html#104\">App\\Entity\\Task::getAuthor<\/a>"],[100,2,"<a href=\"Task.php.html#109\">App\\Entity\\Task::setAuthor<\/a>"],[100,1,"<a href=\"User.php.html#56\">App\\Entity\\User::__construct<\/a>"],[100,2,"<a href=\"User.php.html#61\">App\\Entity\\User::getId<\/a>"],[100,2,"<a href=\"User.php.html#66\">App\\Entity\\User::getUsername<\/a>"],[100,2,"<a href=\"User.php.html#71\">App\\Entity\\User::setUsername<\/a>"],[100,1,"<a href=\"User.php.html#77\">App\\Entity\\User::getSalt<\/a>"],[100,2,"<a href=\"User.php.html#82\">App\\Entity\\User::getPassword<\/a>"],[100,2,"<a href=\"User.php.html#87\">App\\Entity\\User::setPassword<\/a>"],[100,2,"<a href=\"User.php.html#93\">App\\Entity\\User::getEmail<\/a>"],[100,2,"<a href=\"User.php.html#98\">App\\Entity\\User::setEmail<\/a>"],[100,2,"<a href=\"User.php.html#104\">App\\Entity\\User::getRoles<\/a>"],[100,1,"<a href=\"User.php.html#117\">App\\Entity\\User::setRoles<\/a>"],[100,1,"<a href=\"User.php.html#129\">App\\Entity\\User::hasRole<\/a>"],[0,1,"<a href=\"User.php.html#134\">App\\Entity\\User::eraseCredentials<\/a>"],[100,2,"<a href=\"User.php.html#138\">App\\Entity\\User::getUserIdentifier<\/a>"],[0,1,"<a href=\"User.php.html#146\">App\\Entity\\User::getTasks<\/a>"],[0,2,"<a href=\"User.php.html#151\">App\\Entity\\User::addTask<\/a>"],[0,3,"<a href=\"User.php.html#161\">App\\Entity\\User::removeTask<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
